require 'xmpp4r/message'

require_relative '../module_base'

module Lain
  module Modules
    class Help < Base
      def on_message(muc, message)
        return unless /\A!help\b/ =~ message.body

        muc.send(Jabber::Message.new(muc.room, "Commands:" + @lain.commands.reduce('') { |s, cmd| "#{s}\n#{cmd[0]}: #{cmd[1]}" }))
      end

      def commands
        {
          '!help' => 'show this help'
        }
      end
    end
  end
end
